# DeprecatedFoo namespace

A namespace.

#### Deprecated since 2010.02

Yes it is.

## Classes

class DeprecatedClass deprecated since 2010.02
  A class.
struct DeprecatedSubclass deprecated since 2010.02
  A subclass.

## Enums

enum DeprecatedEnum { DeprecatedOldValue = 0 deprecated since 2010.02, NewValue = 3 } deprecated since 2010.02
  An enum.

## Typedefs

using DeprecatedKlazz = DeprecatedClass deprecated since 2010.02
  A typedef.

## Functions

void deprecatedFoo() deprecated since 2010.02
  A function.

## Variables

int DeprecatedFive deprecated since 2010.02 constexpr
  A constant.

## Enum documentation

### enum DeprecatedFoo::DeprecatedEnum
#include <DeprecatedDirectory/DeprecatedClass.h>

An enum.

#### Deprecated since 2010.02

Yes it is.

Details should have the badge too.

Enumerators |
--- | ---
DeprecatedOldValue | This thing is deprecated. Yes. #### Deprecated since 2010.02 Yes it is.
NewValue |

## Typedef documentation

### typedef DeprecatedClass DeprecatedFoo::DeprecatedKlazz
#include <DeprecatedDirectory/DeprecatedClass.h>

A typedef.

#### Deprecated since 2010.02

Yes it is.

Details should have the badge too.

## Function documentation

### void DeprecatedFoo::deprecatedFoo()
#include <DeprecatedDirectory/DeprecatedClass.h>

A function.

#### Deprecated since 2010.02

Yes it is.

Details should have the badge too.

## Variable documentation

### int DeprecatedFoo::DeprecatedFive constexpr
#include <DeprecatedDirectory/DeprecatedClass.h>

A constant.

#### Deprecated since 2010.02

Yes it is.

Details should have the badge too.